Subject: Re: bug#77944: 31.0.50; M-x man on macOS fails with error

From: Michael Albinus <[email-masked]>
Date: Tue, 22 Apr 2025 08:52:44 +0200

Version: 31.1

Gerd Möllmann <[email-masked]> writes:

Hi Gerd,

>> Yes, please try. [[:cntrl:]] is equal to [\\o0000-\\o0037]. Much
>> more than [\\o0001-\\o0032], so I'd prefer the latter.
>
> The second one doesn't work. It gives the error again in M-x man. Also
> in the shell
>
> /Users/gerd/emacs/github/cl-packages % sed -e '/^[\\o0001-\\o0032][\\o0001-\\o0032]*$/d' /dev/null
> sed: 1: "/^[\\o0001-\\o0032][\\o ...": RE error: invalid character range
>
> I guess I had gsed still installed when I tried that in zsh, and forgot
> to add the /usr/bin/.

Thanks for the check. So I've pushed a patch using [:cntrl:] to
master. Closing the bug.

Best regards, Michael.